!******************************************************************************!
!                                                                              !
!    currents_info1.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   currents_info1.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 0.9                               |            !
!        |       | Generation date: 2020-03-10 10:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module currents_info1
  implicit none
  contains
  subroutine fill_current_1(check)
    use class_particles
    use current_keys, only: createCurrent
    logical, intent(in) :: check
    call createCurrent(P_B0, P_W2, P_Phi2Anti, P_Phi1, 72, check)
    call createCurrent(P_Phi2, P_W3, P_B0, P_Phi2Anti, 235, check)
    call createCurrent(P_t, P_tAnti, P_g, 54, check)
    call createCurrent(P_W3, P_Phi2Anti, P_B0, P_Phi2, 273, check)
    call createCurrent(P_Phi2, P_Phi1Anti, P_B0, P_W1, 271, check)
    call createCurrent(P_muPlus, P_muMinus, P_B0, 123, check)
    call createCurrent(P_W1, P_tauPlus, P_nu_tau, 192, check)
    call createCurrent(P_nu_tauAnti, P_W1, P_tauMinus, 272, check)
    call createCurrent(P_dAnti, P_W1, P_u, 496, check)
    call createCurrent(P_W3, P_W3, P_Phi2, P_Phi2Anti, 601, check)
    call createCurrent(P_ePlus, P_W1, P_nu_e, 351, check)
    call createCurrent(P_Phi2Anti, P_B0, P_Phi1, P_W2, 492, check)
    call createCurrent(P_B0, P_dAnti, P_d, 210, check)
    call createCurrent(P_Phi2, P_W2, P_B0, P_Phi1Anti, 222, check)
    call createCurrent(P_eMinus, P_W2, P_nu_eAnti, 537, check)
    call createCurrent(P_d, P_dAnti, 641, check)
    call createCurrent(P_cAnti, P_W3, P_c, 599, check)
    call createCurrent(P_W2, P_W3, P_W3, P_W2, 366, check)
    call createCurrent(P_B0, P_nu_mu, P_nu_muAnti, 158, check)
    call createCurrent(P_Phi1Anti, P_Phi1, P_W2, P_W2, 329, check)
    call createCurrent(P_Phi2, P_B0, P_W2, P_Phi1Anti, 283, check)
    call createCurrent(P_u, P_B0, P_uAnti, 348, check)
    call createCurrent(P_W1, P_W1, P_Phi2, P_Phi2Anti, 195, check)
    call createCurrent(P_W1, P_cAnti, P_s, 383, check)
    call createCurrent(P_W1, P_W1, P_Phi1Anti, P_Phi1, 393, check)
    call createCurrent(P_u, P_W1, P_dAnti, 435, check)
    call createCurrent(P_Phi1Anti, P_W1, P_Phi2, 12, check)
    call createCurrent(P_muPlus, P_W2, P_nu_mu, 452, check)
    call createCurrent(P_Phi1, P_B0, P_Phi1Anti, 624, check)
    call createCurrent(P_Phi1, P_W2, P_Phi2Anti, P_B0, 203, check)
    call createCurrent(P_g, P_cAnti, P_c, 142, check)
    call createCurrent(P_B0, P_B0, P_Phi1Anti, P_Phi1, 362, check)
    call createCurrent(P_B0, P_B0, P_Phi2, P_Phi2Anti, 461, check)
    call createCurrent(P_W2, P_Phi1, P_B0, P_Phi2Anti, 224, check)
    call createCurrent(P_W2, P_bAnti, P_t, 140, check)
    call createCurrent(P_c, P_cAnti, P_B0, 197, check)
    call createCurrent(P_sAnti, P_c, P_W2, 155, check)
    call createCurrent(P_Phi1, P_W1, P_Phi2Anti, 268, check)
    call createCurrent(P_Phi2, P_W2, P_Phi1Anti, P_B0, 304, check)
    call createCurrent(P_W2, P_d, P_uAnti, 201, check)
    call createCurrent(P_ePlus, P_nu_e, P_W1, 59, check)
    call createCurrent(P_muMinus, P_W2, P_nu_muAnti, 90, check)
    call createCurrent(P_W2, P_b, P_tAnti, 99, check)
    call createCurrent(P_W3, P_Phi2, P_W3, P_Phi2Anti, 516, check)
    call createCurrent(P_W2, P_W2, P_Phi2Anti, P_Phi2, 262, check)
    call createCurrent(P_W1, P_nu_mu, P_muPlus, 175, check)
    call createCurrent(P_s, P_g, P_sAnti, 490, check)
    call createCurrent(P_B0, P_nu_eAnti, P_nu_e, 619, check)
    call createCurrent(P_dAnti, P_W3, P_d, 324, check)
    call createCurrent(P_W3, P_eMinus, P_ePlus, 135, check)
    call createCurrent(P_s, P_cAnti, P_W1, 174, check)
    call createCurrent(P_W2, P_Phi1Anti, P_Phi2, P_B0, 582, check)
    call createCurrent(P_muPlus, P_W3, P_muMinus, 478, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, P_B0, 198, check)
    call createCurrent(P_W1, P_B0, P_Phi2Anti, P_Phi1, 184, check)
    call createCurrent(P_Phi1Anti, P_Phi1, P_W3, P_B0, 420, check)
    call createCurrent(P_Phi2Anti, P_Phi1, P_W1, P_B0, 226, check)
    call createCurrent(P_W2, P_Phi2Anti, P_W2, P_Phi2, 291, check)
    call createCurrent(P_W1, P_W1, P_W3, P_W3, 85, check)
    call createCurrent(P_W2, P_Phi2, P_B0, P_Phi1Anti, 500, check)
    call createCurrent(P_W3, P_Phi1, P_Phi1Anti, 632, check)
    call createCurrent(P_t, P_W1, P_bAnti, 117, check)
    call createCurrent(P_W3, P_muPlus, P_muMinus, 96, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_W1, 73, check)
    call createCurrent(P_Phi2, P_B0, P_Phi1Anti, P_W2, 187, check)
    call createCurrent(P_B0, P_Phi2Anti, P_Phi2, P_W3, 63, check)
    call createCurrent(P_nu_e, P_W1, P_ePlus, 190, check)
    call createCurrent(P_dAnti, P_d, P_B0, 211, check)
    call createCurrent(P_W3, P_nu_eAnti, P_nu_e, 193, check)
    call createCurrent(P_Phi2, P_Phi1Anti, P_W1, P_B0, 511, check)
    call createCurrent(P_dAnti, P_d, 640, check)
    call createCurrent(P_uAnti, P_u, P_B0, 53, check)
    call createCurrent(P_Phi1, P_B0, P_Phi2Anti, P_W1, 440, check)
    call createCurrent(P_W3, P_muMinus, P_muPlus, 530, check)
    call createCurrent(P_Phi2Anti, P_Phi2, P_B0, P_B0, 529, check)
    call createCurrent(P_W2, P_W3, P_W1, 375, check)
    call createCurrent(P_W3, P_Phi1, P_W3, P_Phi1Anti, 407, check)
    call createCurrent(P_Phi1, P_Phi1Anti, P_W3, P_W3, 405, check)
    call createCurrent(P_tAnti, P_B0, P_t, 213, check)
    call createCurrent(P_W2, P_Phi2, P_Phi1Anti, 470, check)
    call createCurrent(P_Phi2, P_Phi2Anti, P_B0, P_B0, 119, check)
    call createCurrent(P_Phi2, P_Phi2Anti, P_W1, P_W1, 626, check)
    call createCurrent(P_W2, P_Phi2, P_Phi1Anti, P_B0, 172, check)
    call createCurrent(P_cAnti, P_g, P_c, 48, check)
    call createCurrent(P_W2, P_W2, P_W3, P_W3, 628, check)
    call createCurrent(P_bAnti, P_b, P_W3, 313, check)
    call createCurrent(P_Phi2Anti, P_W3, P_Phi2, P_W3, 340, check)
    call createCurrent(P_muMinus, P_nu_muAnti, P_W2, 592, check)
    call createCurrent(P_t, P_B0, P_tAnti, 481, check)
    call createCurrent(P_W3, P_W1, P_W3, P_W1, 613, check)
    call createCurrent(P_B0, P_Phi1, P_Phi1Anti, P_B0, 508, check)
    call createCurrent(P_b, P_W1, P_tAnti, 517, check)
    call createCurrent(P_Phi2Anti, P_Phi2, P_W2, P_W2, 311, check)
    call createCurrent(P_bAnti, P_b, P_g, 335, check)
    call createCurrent(P_sAnti, P_B0, P_s, 422, check)
    call createCurrent(P_g, P_tAnti, P_t, 26, check)
    call createCurrent(P_Phi2Anti, P_W1, P_Phi1, P_B0, 503, check)
    call createCurrent(P_B0, P_Phi1Anti, P_B0, P_Phi1, 314, check)
    call createCurrent(P_B0, P_B0, P_Phi1, P_Phi1Anti, 8, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_B0, 36, check)
    call createCurrent(P_d, P_uAnti, P_W1, 358, check)
    call createCurrent(P_Phi2, P_W3, P_Phi2Anti, P_W3, 61, check)
    call createCurrent(P_W1, P_Phi2Anti, P_Phi1, P_B0, 282, check)
    call createCurrent(P_Phi2Anti, P_Phi2, P_W3, 442, check)
    call createCurrent(P_Phi2Anti, P_W3, P_B0, P_Phi2, 23, check)
    call createCurrent(P_uAnti, P_u, 642, check)
    call createCurrent(P_W1, P_W1, P_Phi1, P_Phi1Anti, 35, check)
    call createCurrent(P_B0, P_nu_tauAnti, P_nu_tau, 587, check)
    call createCurrent(P_W1, P_b, P_tAnti, 439, check)
    call createCurrent(P_B0, P_Phi1, P_W3, P_Phi1Anti, 312, check)
    call createCurrent(P_t, P_g, P_tAnti, 521, check)
    call createCurrent(P_Phi2, P_W1, P_Phi1Anti, 627, check)
    call createCurrent(P_Phi2Anti, P_W2, P_Phi2, P_W2, 2, check)
    call createCurrent(P_W3, P_Phi2, P_Phi2Anti, P_B0, 444, check)
    call createCurrent(P_W1, P_nu_muAnti, P_muMinus, 173, check)
    call createCurrent(P_tauPlus, P_W3, P_tauMinus, 557, check)
    call createCurrent(P_B0, P_W2, P_Phi1Anti, P_Phi2, 622, check)
    call createCurrent(P_W2, P_Phi2, P_W2, P_Phi2Anti, 480, check)
    call createCurrent(P_nu_mu, P_W3, P_nu_muAnti, 160, check)
    call createCurrent(P_Phi1Anti, P_Phi2, P_W2, P_B0, 497, check)
    call createCurrent(P_Phi2Anti, P_Phi1, P_W2, 13, check)
    call createCurrent(P_sAnti, P_c, P_W1, 380, check)
    call createCurrent(P_Phi2, P_Phi2Anti, P_B0, P_W3, 354, check)
    call createCurrent(P_B0, P_Phi1Anti, P_W1, P_Phi2, 385, check)
    call createCurrent(P_W3, P_W3, P_W2, P_W2, 454, check)
    call createCurrent(P_Phi2, P_Phi2Anti, P_W3, 20, check)
    call createCurrent(P_Phi1Anti, P_Phi2, P_W1, 277, check)
    call createCurrent(P_W2, P_B0, P_Phi2, P_Phi1Anti, 27, check)
    call createCurrent(P_d, P_B0, P_dAnti, 297, check)
    call createCurrent(P_W3, P_Phi1Anti, P_W3, P_Phi1, 153, check)
    call createCurrent(P_W2, P_c, P_sAnti, 387, check)
    call createCurrent(P_W1, P_W1, P_W2, P_W2, 260, check)
    call createCurrent(P_W3, P_Phi1Anti, P_Phi1, P_W3, 139, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_W1, 95, check)
    call createCurrent(P_B0, P_nu_e, P_nu_eAnti, 280, check)
    call createCurrent(P_B0, P_W1, P_Phi1Anti, P_Phi2, 200, check)
    call createCurrent(P_Phi1Anti, P_W2, P_Phi1, P_W2, 241, check)
    call createCurrent(P_W2, P_W2, P_Phi1, P_Phi1Anti, 579, check)
    call createCurrent(P_Phi1Anti, P_W3, P_W3, P_Phi1, 558, check)
    call createCurrent(P_B0, P_Phi1, P_W1, P_Phi2Anti, 17, check)
    call createCurrent(P_B0, P_Phi2Anti, P_W2, P_Phi1, 597, check)
    call createCurrent(P_Phi1, P_W3, P_Phi1Anti, P_B0, 206, check)
    call createCurrent(P_ePlus, P_nu_e, P_W2, 159, check)
    call createCurrent(P_Phi2Anti, P_B0, P_W2, P_Phi1, 510, check)
    call createCurrent(P_Phi1, P_Phi2Anti, P_W1, P_B0, 584, check)
    call createCurrent(P_Phi1, P_Phi2Anti, P_W2, 110, check)
    call createCurrent(P_ePlus, P_W3, P_eMinus, 610, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, P_W3, 132, check)
    call createCurrent(P_bAnti, P_W2, P_t, 182, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_W2, 255, check)
    call createCurrent(P_B0, P_u, P_uAnti, 451, check)
    call createCurrent(P_nu_e, P_B0, P_nu_eAnti, 25, check)
    call createCurrent(P_B0, P_Phi2Anti, P_Phi1, P_W2, 46, check)
    call createCurrent(P_Phi1Anti, P_W1, P_B0, P_Phi2, 475, check)
    call createCurrent(P_Phi2, P_W1, P_W1, P_Phi2Anti, 56, check)
    call createCurrent(P_Phi1Anti, P_W3, P_Phi1, P_W3, 267, check)
    call createCurrent(P_Phi2Anti, P_W2, P_B0, P_Phi1, 352, check)
    call createCurrent(P_eMinus, P_B0, P_ePlus, 425, check)
    call createCurrent(P_W2, P_W3, P_W2, P_W3, 464, check)
    call createCurrent(P_muMinus, P_B0, P_muPlus, 430, check)
    call createCurrent(P_W2, P_tAnti, P_b, 533, check)
    call createCurrent(P_muPlus, P_nu_mu, P_W2, 230, check)
    call createCurrent(P_g, P_u, P_uAnti, 189, check)
    call createCurrent(P_tAnti, P_b, P_W1, 501, check)
    call createCurrent(P_tauPlus, P_W2, P_nu_tau, 333, check)
    call createCurrent(P_W1, P_Phi1, P_Phi1Anti, P_W1, 254, check)
    call createCurrent(P_nu_tau, P_B0, P_nu_tauAnti, 450, check)
    call createCurrent(P_W2, P_dAnti, P_u, 572, check)
    call createCurrent(P_W3, P_t, P_tAnti, 306, check)
    call createCurrent(P_Phi1, P_B0, P_B0, P_Phi1Anti, 456, check)
    call createCurrent(P_B0, P_Phi2Anti, P_W1, P_Phi1, 196, check)
    call createCurrent(P_Phi2, P_W1, P_B0, P_Phi1Anti, 164, check)
    call createCurrent(P_t, P_tAnti, P_B0, 223, check)
    call createCurrent(P_W1, P_sAnti, P_c, 357, check)
    call createCurrent(P_B0, P_Phi2Anti, P_B0, P_Phi2, 356, check)
    call createCurrent(P_dAnti, P_g, P_d, 583, check)
    call createCurrent(P_Phi1, P_B0, P_W2, P_Phi2Anti, 16, check)
    call createCurrent(P_Phi2, P_B0, P_W3, P_Phi2Anti, 471, check)
    call createCurrent(P_nu_eAnti, P_eMinus, P_W2, 621, check)
    call createCurrent(P_ePlus, P_eMinus, P_W3, 290, check)
    call createCurrent(P_nu_tau, P_W2, P_tauPlus, 562, check)
    call createCurrent(P_d, P_uAnti, P_W2, 45, check)
    call createCurrent(P_Phi1, P_W3, P_W3, P_Phi1Anti, 459, check)
    call createCurrent(P_W2, P_ePlus, P_nu_e, 331, check)
    call createCurrent(P_B0, P_Phi2Anti, P_Phi2, 526, check)
    call createCurrent(P_W1, P_Phi1Anti, P_B0, P_Phi2, 479, check)
    call createCurrent(P_c, P_sAnti, P_W2, 563, check)
    call createCurrent(P_Phi2, P_W2, P_Phi2Anti, P_W2, 202, check)
    call createCurrent(P_d, P_W3, P_dAnti, 434, check)
    call createCurrent(P_nu_e, P_ePlus, P_W2, 105, check)
    call createCurrent(P_B0, P_Phi2, P_W1, P_Phi1Anti, 208, check)
    call createCurrent(P_t, P_bAnti, P_W2, 71, check)
    call createCurrent(P_W1, P_Phi1Anti, P_W1, P_Phi1, 467, check)
    call createCurrent(P_uAnti, P_W1, P_d, 70, check)
    call createCurrent(P_W2, P_t, P_bAnti, 147, check)
    call createCurrent(P_W1, P_bAnti, P_t, 594, check)
    call createCurrent(P_W3, P_W2, P_W3, P_W2, 141, check)
    call createCurrent(P_B0, P_Phi2, P_Phi1Anti, P_W2, 111, check)
    call createCurrent(P_Phi2, P_W2, P_Phi1Anti, 462, check)
    call createCurrent(P_nu_tauAnti, P_W2, P_tauMinus, 426, check)
    call createCurrent(P_nu_muAnti, P_W2, P_muMinus, 326, check)
    call createCurrent(P_dAnti, P_u, P_W1, 177, check)
    call createCurrent(P_cAnti, P_c, P_g, 60, check)
    call createCurrent(P_W3, P_Phi2, P_B0, P_Phi2Anti, 285, check)
    call createCurrent(P_Phi2, P_Phi1Anti, P_W1, 389, check)
    call createCurrent(P_B0, P_Phi1, P_Phi2Anti, P_W2, 483, check)
    call createCurrent(P_u, P_uAnti, P_B0, 391, check)
    call createCurrent(P_muMinus, P_muPlus, P_B0, 457, check)
    call createCurrent(P_d, P_dAnti, P_g, 361, check)
    call createCurrent(P_dAnti, P_B0, P_d, 520, check)
    call createCurrent(P_Phi1Anti, P_W3, P_Phi1, P_B0, 100, check)
    call createCurrent(P_nu_e, P_W2, P_ePlus, 388, check)
    call createCurrent(P_nu_tauAnti, P_W3, P_nu_tau, 528, check)
    call createCurrent(P_cAnti, P_B0, P_c, 39, check)
    call createCurrent(P_W3, P_Phi1Anti, P_Phi1, 32, check)
    call createCurrent(P_sAnti, P_g, P_s, 438, check)
    call createCurrent(P_B0, P_Phi1, P_Phi1Anti, 136, check)
    call createCurrent(P_Phi1Anti, P_B0, P_Phi2, P_W1, 310, check)
    call createCurrent(P_W1, P_nu_tauAnti, P_tauMinus, 374, check)
    call createCurrent(P_W3, P_Phi2Anti, P_Phi2, P_W3, 126, check)
    call createCurrent(P_W3, P_tAnti, P_t, 548, check)
    call createCurrent(P_Phi2, P_B0, P_W1, P_Phi1Anti, 38, check)
    call createCurrent(P_Phi1, P_Phi1Anti, P_B0, 474, check)
    call createCurrent(P_W3, P_B0, P_Phi1, P_Phi1Anti, 302, check)
    call createCurrent(P_Phi2Anti, P_Phi1, P_B0, P_W2, 180, check)
    call createCurrent(P_W2, P_sAnti, P_c, 103, check)
    call createCurrent(P_Phi1, P_Phi1Anti, P_B0, P_B0, 220, check)
    call createCurrent(P_uAnti, P_u, P_W3, 602, check)
    call createCurrent(P_W1, P_muMinus, P_nu_muAnti, 308, check)
    call createCurrent(P_cAnti, P_W2, P_s, 534, check)
    call createCurrent(P_Phi2Anti, P_Phi2, P_W3, P_B0, 298, check)
    call createCurrent(P_Phi1, P_W1, P_B0, P_Phi2Anti, 247, check)
    call createCurrent(P_B0, P_Phi2, P_B0, P_Phi2Anti, 82, check)
    call createCurrent(P_c, P_g, P_cAnti, 68, check)
    call createCurrent(P_W1, P_nu_eAnti, P_eMinus, 616, check)
    call createCurrent(P_Phi2, P_Phi2Anti, P_W3, P_B0, 76, check)
    call createCurrent(P_tauMinus, P_W2, P_nu_tauAnti, 265, check)
    call createCurrent(P_uAnti, P_u, P_g, 319, check)
    call createCurrent(P_bAnti, P_t, P_W2, 18, check)
    call createCurrent(P_W1, P_t, P_bAnti, 238, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_W2, 415, check)
    call createCurrent(P_Phi2Anti, P_B0, P_Phi2, P_W3, 604, check)
    call createCurrent(P_Phi2Anti, P_W3, P_Phi2, 156, check)
    call createCurrent(P_B0, P_uAnti, P_u, 397, check)
    call createCurrent(P_nu_eAnti, P_B0, P_nu_e, 484, check)
    call createCurrent(P_u, P_uAnti, 639, check)
    call createCurrent(P_W1, P_Phi2, P_Phi1Anti, 227, check)
    call createCurrent(P_Phi1Anti, P_Phi2, P_B0, P_W1, 237, check)
    call createCurrent(P_sAnti, P_W3, P_s, 22, check)
    call createCurrent(P_t, P_bAnti, P_W1, 78, check)
    call createCurrent(P_Phi1Anti, P_B0, P_Phi1, P_W3, 19, check)
    call createCurrent(P_B0, P_tauMinus, P_tauPlus, 468, check)
    call createCurrent(P_W2, P_Phi1Anti, P_Phi1, P_W2, 87, check)
    call createCurrent(P_W1, P_dAnti, P_u, 256, check)
    call createCurrent(P_B0, P_W1, P_Phi1, P_Phi2Anti, 295, check)
    call createCurrent(P_B0, P_W3, P_Phi1, P_Phi1Anti, 4, check)
    call createCurrent(P_W2, P_nu_tauAnti, P_tauMinus, 564, check)
    call createCurrent(P_W3, P_nu_muAnti, P_nu_mu, 92, check)
    call createCurrent(P_Phi1Anti, P_W3, P_Phi1, 392, check)
    call createCurrent(P_Phi1, P_B0, P_Phi1Anti, P_W3, 575, check)
    call createCurrent(P_Phi2, P_B0, P_Phi2Anti, P_W3, 636, check)
    call createCurrent(P_Phi2Anti, P_W3, P_W3, P_Phi2, 395, check)
    call createCurrent(P_B0, P_W1, P_Phi2Anti, P_Phi1, 347, check)
    call createCurrent(P_W3, P_nu_tauAnti, P_nu_tau, 416, check)
    call createCurrent(P_B0, P_Phi1Anti, P_Phi2, P_W2, 287, check)
    call createCurrent(P_W2, P_W2, P_Phi2, P_Phi2Anti, 561, check)
    call createCurrent(P_d, P_dAnti, P_W3, 377, check)
    call createCurrent(P_g, P_g, P_g, P_g, 507, check)
    call createCurrent(P_W2, P_uAnti, P_d, 637, check)
    call createCurrent(P_Phi2Anti, P_W2, P_W2, P_Phi2, 88, check)
    call createCurrent(P_cAnti, P_c, P_W3, 41, check)
    call createCurrent(P_W2, P_cAnti, P_s, 154, check)
    call createCurrent(P_Phi1, P_Phi1Anti, P_W2, P_W2, 65, check)
    call createCurrent(P_s, P_W2, P_cAnti, 618, check)
    call createCurrent(P_tauMinus, P_B0, P_tauPlus, 550, check)
    call createCurrent(P_nu_mu, P_B0, P_nu_muAnti, 330, check)
    call createCurrent(P_Phi1, P_W1, P_Phi2Anti, P_B0, 505, check)
    call createCurrent(P_B0, P_d, P_dAnti, 409, check)
    call createCurrent(P_eMinus, P_ePlus, P_W3, 113, check)
    call createCurrent(P_nu_tauAnti, P_B0, P_nu_tau, 289, check)
    call createCurrent(P_W1, P_Phi2Anti, P_B0, P_Phi1, 218, check)
    call createCurrent(P_dAnti, P_u, P_W2, 181, check)
    call createCurrent(P_W3, P_bAnti, P_b, 552, check)
    call createCurrent(P_W2, P_Phi1, P_Phi1Anti, P_W2, 52, check)
    call createCurrent(P_W3, P_B0, P_Phi2, P_Phi2Anti, 124, check)
    call createCurrent(P_Phi1Anti, P_Phi1, P_B0, P_W3, 445, check)
    call createCurrent(P_W3, P_B0, P_Phi2Anti, P_Phi2, 225, check)
    call createCurrent(P_W1, P_W2, P_W2, P_W1, 382, check)
    call createCurrent(P_Phi1, P_Phi1Anti, P_W1, P_W1, 325, check)
    call createCurrent(P_B0, P_Phi1Anti, P_Phi1, P_W3, 527, check)
    call createCurrent(P_W2, P_Phi1, P_Phi2Anti, P_B0, 143, check)
    call createCurrent(P_muMinus, P_W1, P_nu_muAnti, 281, check)
    call createCurrent(P_s, P_cAnti, P_W2, 130, check)
    call createCurrent(P_ePlus, P_B0, P_eMinus, 549, check)
    call createCurrent(P_Phi1Anti, P_W3, P_B0, P_Phi1, 148, check)
    call createCurrent(P_sAnti, P_s, P_g, 359, check)
    call createCurrent(P_B0, P_B0, P_Phi2Anti, P_Phi2, 588, check)
    call createCurrent(P_W1, P_W3, P_W3, P_W1, 620, check)
    call createCurrent(P_B0, P_ePlus, P_eMinus, 199, check)
    call createCurrent(P_Phi2Anti, P_Phi1, P_W2, P_B0, 401, check)
    call createCurrent(P_nu_eAnti, P_W2, P_eMinus, 381, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, P_B0, 131, check)
    call createCurrent(P_W3, P_u, P_uAnti, 55, check)
    call createCurrent(P_dAnti, P_d, P_g, 276, check)
    call createCurrent(P_W1, P_Phi2, P_B0, P_Phi1Anti, 0, check)
    call createCurrent(P_B0, P_sAnti, P_s, 169, check)
    call createCurrent(P_Phi2, P_W3, P_W3, P_Phi2Anti, 423, check)
    call createCurrent(P_bAnti, P_g, P_b, 447, check)
    call createCurrent(P_Phi1Anti, P_W2, P_B0, P_Phi2, 400, check)
    call createCurrent(P_nu_muAnti, P_W1, P_muMinus, 609, check)
    call createCurrent(P_sAnti, P_s, P_B0, 577, check)
    call createCurrent(P_Phi1, P_Phi2Anti, P_B0, P_W2, 591, check)
    call createCurrent(P_nu_tau, P_nu_tauAnti, P_B0, 40, check)
    call createCurrent(P_s, P_sAnti, P_g, 149, check)
    call createCurrent(P_Phi1Anti, P_W2, P_Phi2, P_B0, 178, check)
    call createCurrent(P_B0, P_Phi2, P_Phi2Anti, P_B0, 274, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, P_B0, 544, check)
    call createCurrent(P_B0, P_t, P_tAnti, 453, check)
    call createCurrent(P_Phi1, P_W3, P_B0, P_Phi1Anti, 167, check)
    call createCurrent(P_g, P_uAnti, P_u, 269, check)
    call createCurrent(P_b, P_bAnti, P_B0, 531, check)
    call createCurrent(P_B0, P_W2, P_Phi2, P_Phi1Anti, 83, check)
    call createCurrent(P_W3, P_W2, P_W2, P_W3, 598, check)
    call createCurrent(P_t, P_tAnti, P_W3, 341, check)
    call createCurrent(P_nu_mu, P_muPlus, P_W1, 127, check)
    call createCurrent(P_s, P_sAnti, P_W3, 168, check)
    call createCurrent(P_B0, P_Phi2Anti, P_W3, P_Phi2, 118, check)
    call createCurrent(P_sAnti, P_W2, P_c, 344, check)
    call createCurrent(P_tauMinus, P_nu_tauAnti, P_W1, 188, check)
    call createCurrent(P_Phi2, P_Phi1Anti, P_B0, P_W2, 299, check)
    call createCurrent(P_tAnti, P_t, P_B0, 509, check)
    call createCurrent(P_ePlus, P_eMinus, P_B0, 535, check)
    call createCurrent(P_B0, P_cAnti, P_c, 214, check)
    call createCurrent(P_Phi2Anti, P_Phi2, P_W1, P_W1, 525, check)
    call createCurrent(P_u, P_dAnti, P_W1, 589, check)
    call createCurrent(P_B0, P_Phi2, P_Phi2Anti, 89, check)
    call createCurrent(P_W3, P_Phi1, P_Phi1Anti, P_W3, 229, check)
    call createCurrent(P_W2, P_nu_e, P_ePlus, 94, check)
    call createCurrent(P_W3, P_Phi2Anti, P_Phi2, 611, check)
    call createCurrent(P_sAnti, P_W1, P_c, 615, check)
    call createCurrent(P_W2, P_B0, P_Phi1, P_Phi2Anti, 43, check)
    call createCurrent(P_W1, P_eMinus, P_nu_eAnti, 261, check)
    call createCurrent(P_u, P_W3, P_uAnti, 129, check)
    call createCurrent(P_W2, P_Phi1Anti, P_B0, P_Phi2, 122, check)
    call createCurrent(P_W3, P_tauPlus, P_tauMinus, 412, check)
    call createCurrent(P_W3, P_B0, P_Phi1Anti, P_Phi1, 91, check)
    call createCurrent(P_Phi1Anti, P_W1, P_W1, P_Phi1, 465, check)
    call createCurrent(P_W1, P_W3, P_W1, P_W3, 473, check)
    call createCurrent(P_W1, P_nu_tau, P_tauPlus, 494, check)
    call createCurrent(P_W1, P_Phi1, P_Phi2Anti, 24, check)
    call createCurrent(P_c, P_W3, P_cAnti, 567, check)
    call createCurrent(P_nu_e, P_nu_eAnti, P_W3, 29, check)
    call createCurrent(P_W2, P_B0, P_Phi2Anti, P_Phi1, 332, check)
    call createCurrent(P_Phi1Anti, P_W2, P_W2, P_Phi1, 30, check)
    call createCurrent(P_u, P_uAnti, P_W3, 10, check)
    call createCurrent(P_muMinus, P_muPlus, P_W3, 286, check)
    call createCurrent(P_B0, P_nu_tau, P_nu_tauAnti, 394, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_W3, 403, check)
    call createCurrent(P_B0, P_Phi1Anti, P_Phi2, P_W1, 234, check)
    call createCurrent(P_B0, P_Phi1Anti, P_Phi1, 259, check)
    call createCurrent(P_W2, P_nu_muAnti, P_muMinus, 176, check)
    call createCurrent(P_W1, P_c, P_sAnti, 1, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_W2, 365, check)
    call createCurrent(P_W3, P_b, P_bAnti, 547, check)
    call createCurrent(P_Phi2Anti, P_Phi1, P_W1, 50, check)
    call createCurrent(P_Phi2, P_B0, P_Phi1Anti, P_W1, 404, check)
    call createCurrent(P_uAnti, P_W2, P_d, 469, check)
    call createCurrent(P_W3, P_Phi2Anti, P_Phi2, P_B0, 51, check)
    call createCurrent(P_B0, P_Phi1Anti, P_W2, P_Phi2, 499, check)
    call createCurrent(P_s, P_W1, P_cAnti, 630, check)
    call createCurrent(P_B0, P_tAnti, P_t, 571, check)
    call createCurrent(P_Phi1, P_Phi1Anti, P_W3, 623, check)
    call createCurrent(P_Phi1, P_Phi2Anti, P_W1, 185, check)
    call createCurrent(P_W2, P_s, P_cAnti, 606, check)
    call createCurrent(P_Phi1, P_Phi1Anti, P_W3, P_B0, 244, check)
    call createCurrent(P_uAnti, P_W3, P_u, 460, check)
    call createCurrent(P_nu_eAnti, P_W1, P_eMinus, 183, check)
    call createCurrent(P_Phi1, P_B0, P_Phi2Anti, P_W2, 144, check)
    call createCurrent(P_Phi2Anti, P_Phi2, P_W3, P_W3, 524, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_W3, 232, check)
    call createCurrent(P_B0, P_Phi1, P_B0, P_Phi1Anti, 363, check)
    call createCurrent(P_Phi1, P_Phi1Anti, P_B0, P_W3, 62, check)
    call createCurrent(P_B0, P_W2, P_Phi1, P_Phi2Anti, 541, check)
    call createCurrent(P_Phi1, P_W3, P_Phi1Anti, P_W3, 364, check)
    call createCurrent(P_nu_mu, P_muPlus, P_W2, 207, check)
    call createCurrent(P_Phi2Anti, P_B0, P_Phi2, P_B0, 77, check)
    call createCurrent(P_tAnti, P_b, P_W2, 463, check)
    call createCurrent(P_Phi2Anti, P_B0, P_Phi2, 612, check)
    call createCurrent(P_tauPlus, P_W1, P_nu_tau, 248, check)
    call createCurrent(P_nu_eAnti, P_W3, P_nu_e, 125, check)
    call createCurrent(P_W1, P_Phi2Anti, P_Phi2, P_W1, 194, check)
    call createCurrent(P_W1, P_nu_e, P_ePlus, 539, check)
    call createCurrent(P_B0, P_Phi1, P_Phi1Anti, P_W3, 252, check)
    call createCurrent(P_g, P_g, P_g, 69, check)
    call createCurrent(P_Phi2Anti, P_W2, P_Phi1, P_B0, 376, check)
    call createCurrent(P_tauMinus, P_nu_tauAnti, P_W2, 219, check)
    call createCurrent(P_nu_eAnti, P_nu_e, P_B0, 209, check)
    call createCurrent(P_W3, P_tauMinus, P_tauPlus, 292, check)
    call createCurrent(P_B0, P_Phi1Anti, P_W3, P_Phi1, 565, check)
    call createCurrent(P_Phi1, P_B0, P_W1, P_Phi2Anti, 522, check)
    call createCurrent(P_Phi2, P_Phi2Anti, P_W2, P_W2, 163, check)
    call createCurrent(P_W2, P_tauPlus, P_nu_tau, 170, check)
    call createCurrent(P_B0, P_Phi1, P_W2, P_Phi2Anti, 300, check)
    call createCurrent(P_B0, P_nu_muAnti, P_nu_mu, 350, check)
    call createCurrent(P_B0, P_W3, P_Phi2Anti, P_Phi2, 482, check)
    call createCurrent(P_Phi2Anti, P_W1, P_Phi1, 551, check)
    call createCurrent(P_W1, P_tAnti, P_b, 546, check)
    call createCurrent(P_W1, P_W2, P_W1, P_W2, 57, check)
    call createCurrent(P_u, P_dAnti, P_W2, 398, check)
    call createCurrent(P_W3, P_nu_mu, P_nu_muAnti, 614, check)
    call createCurrent(P_Phi2Anti, P_B0, P_W3, P_Phi2, 339, check)
    call createCurrent(P_nu_eAnti, P_eMinus, P_W1, 523, check)
    call createCurrent(P_W1, P_Phi1, P_W1, P_Phi1Anti, 396, check)
    call createCurrent(P_Phi1, P_W1, P_W1, P_Phi1Anti, 635, check)
    call createCurrent(P_nu_tauAnti, P_tauMinus, P_W1, 246, check)
    call createCurrent(P_Phi2Anti, P_W1, P_Phi2, P_W1, 11, check)
    call createCurrent(P_W3, P_W3, P_W1, P_W1, 411, check)
    call createCurrent(P_W2, P_muPlus, P_nu_mu, 109, check)
    call createCurrent(P_eMinus, P_W1, P_nu_eAnti, 573, check)
    call createCurrent(P_b, P_tAnti, P_W1, 42, check)
    call createCurrent(P_W1, P_Phi1Anti, P_Phi2, P_B0, 161, check)
    call createCurrent(P_B0, P_Phi2, P_Phi2Anti, P_W3, 104, check)
    call createCurrent(P_b, P_W3, P_bAnti, 303, check)
    call createCurrent(P_b, P_bAnti, P_g, 569, check)
    call createCurrent(P_b, P_W2, P_tAnti, 165, check)
    call createCurrent(P_bAnti, P_W1, P_t, 532, check)
    call createCurrent(P_g, P_d, P_dAnti, 97, check)
    call createCurrent(P_W2, P_Phi2Anti, P_Phi2, P_W2, 251, check)
    call createCurrent(P_W3, P_W3, P_Phi1Anti, P_Phi1, 278, check)
    call createCurrent(P_Phi1Anti, P_W2, P_Phi2, 488, check)
    call createCurrent(P_nu_mu, P_W2, P_muPlus, 316, check)
    call createCurrent(P_W3, P_s, P_sAnti, 79, check)
    call createCurrent(P_g, P_c, P_cAnti, 327, check)
    call createCurrent(P_eMinus, P_ePlus, P_B0, 215, check)
    call createCurrent(P_B0, P_c, P_cAnti, 250, check)
    call createCurrent(P_u, P_uAnti, P_g, 204, check)
    call createCurrent(P_d, P_dAnti, P_B0, 294, check)
    call createCurrent(P_d, P_g, P_dAnti, 166, check)
    call createCurrent(P_g, P_t, P_tAnti, 239, check)
    call createCurrent(P_B0, P_muMinus, P_muPlus, 231, check)
    call createCurrent(P_W3, P_W3, P_Phi2Anti, P_Phi2, 114, check)
    call createCurrent(P_B0, P_Phi1Anti, P_Phi1, P_B0, 157, check)
    call createCurrent(P_W1, P_Phi2Anti, P_Phi1, 538, check)
    call createCurrent(P_W1, P_B0, P_Phi2, P_Phi1Anti, 506, check)
    call createCurrent(P_W1, P_B0, P_Phi1, P_Phi2Anti, 80, check)
    call createCurrent(P_W1, P_u, P_dAnti, 14, check)
    call createCurrent(P_Phi1Anti, P_B0, P_B0, P_Phi1, 428, check)
    call createCurrent(P_tauMinus, P_W1, P_nu_tauAnti, 631, check)
    call createCurrent(P_Phi1, P_B0, P_Phi1Anti, P_B0, 101, check)
    call createCurrent(P_Phi1, P_W2, P_Phi1Anti, P_W2, 152, check)
    call createCurrent(P_uAnti, P_d, P_W1, 34, check)
    call createCurrent(P_W3, P_ePlus, P_eMinus, 257, check)
    call createCurrent(P_W1, P_W2, P_W3, 596, check)
    call createCurrent(P_g, P_sAnti, P_s, 263, check)
    call createCurrent(P_B0, P_Phi2Anti, P_Phi1, P_W1, 288, check)
    call createCurrent(P_Phi2, P_B0, P_Phi2Anti, 419, check)
    call createCurrent(P_W2, P_Phi2Anti, P_B0, P_Phi1, 138, check)
    call createCurrent(P_W2, P_Phi2, P_Phi2Anti, P_W2, 21, check)
    call createCurrent(P_Phi2, P_Phi2Anti, P_W3, P_W3, 336, check)
    call createCurrent(P_W3, P_sAnti, P_s, 121, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_W1, 417, check)
    call createCurrent(P_nu_muAnti, P_B0, P_nu_mu, 31, check)
    call createCurrent(P_g, P_b, P_bAnti, 264, check)
    call createCurrent(P_sAnti, P_s, P_W3, 338, check)
    call createCurrent(P_W1, P_W3, P_W2, 585, check)
    call createCurrent(P_W1, P_Phi1, P_B0, P_Phi2Anti, 378, check)
    call createCurrent(P_nu_tau, P_nu_tauAnti, P_W3, 151, check)
    call createCurrent(P_W1, P_tauMinus, P_nu_tauAnti, 570, check)
    call createCurrent(P_Phi1Anti, P_Phi1, P_W1, P_W1, 307, check)
    call createCurrent(P_Phi2, P_W2, P_W2, P_Phi2Anti, 493, check)
    call createCurrent(P_cAnti, P_s, P_W2, 6, check)
    call createCurrent(P_W2, P_Phi1, P_Phi2Anti, 429, check)
    call createCurrent(P_W2, P_Phi2Anti, P_Phi1, P_B0, 384, check)
    call createCurrent(P_B0, P_s, P_sAnti, 44, check)
    call createCurrent(P_Phi1Anti, P_B0, P_W2, P_Phi2, 249, check)
    call createCurrent(P_Phi2Anti, P_B0, P_W1, P_Phi1, 240, check)
    call createCurrent(P_Phi2, P_B0, P_B0, P_Phi2Anti, 93, check)
    call createCurrent(P_s, P_sAnti, P_B0, 406, check)
    call createCurrent(P_W3, P_Phi2Anti, P_W3, P_Phi2, 146, check)
    call createCurrent(P_B0, P_tauPlus, P_tauMinus, 33, check)
    call createCurrent(P_muPlus, P_muMinus, P_W3, 242, check)
    call createCurrent(P_b, P_g, P_bAnti, 7, check)
    call createCurrent(P_tAnti, P_t, P_g, 427, check)
    call createCurrent(P_tAnti, P_t, P_W3, 410, check)
    call createCurrent(P_W3, P_dAnti, P_d, 74, check)
    call createCurrent(P_W1, P_uAnti, P_d, 81, check)
    call createCurrent(P_W2, P_W1, P_W3, 337, check)
    call createCurrent(P_W3, P_cAnti, P_c, 236, check)
    call createCurrent(P_uAnti, P_g, P_u, 485, check)
    call createCurrent(P_Phi1Anti, P_W1, P_Phi2, P_B0, 106, check)
    call createCurrent(P_Phi1Anti, P_Phi1, P_W3, 545, check)
    call createCurrent(P_W3, P_Phi2, P_Phi2Anti, 37, check)
    call createCurrent(P_W3, P_Phi1, P_Phi1Anti, P_B0, 266, check)
    call createCurrent(P_W1, P_d, P_uAnti, 443, check)
    call createCurrent(P_W2, P_u, P_dAnti, 556, check)
    call createCurrent(P_W2, P_nu_tau, P_tauPlus, 47, check)
    call createCurrent(P_Phi2Anti, P_Phi2, P_B0, 134, check)
    call createCurrent(P_Phi1, P_Phi2Anti, P_W2, P_B0, 414, check)
    call createCurrent(P_c, P_W2, P_sAnti, 514, check)
    call createCurrent(P_Phi2Anti, P_W1, P_B0, P_Phi1, 472, check)
    call createCurrent(P_nu_tauAnti, P_tauMinus, P_W2, 504, check)
    call createCurrent(P_c, P_cAnti, P_g, 432, check)
    call createCurrent(P_W1, P_Phi1Anti, P_Phi1, P_W1, 133, check)
    call createCurrent(P_t, P_W2, P_bAnti, 353, check)
    call createCurrent(P_d, P_W2, P_uAnti, 9, check)
    call createCurrent(P_Phi2, P_W3, P_Phi2Anti, 369, check)
    call createCurrent(P_Phi1, P_W3, P_Phi1Anti, 270, check)
    call createCurrent(P_B0, P_W3, P_Phi2, P_Phi2Anti, 28, check)
    call createCurrent(P_s, P_B0, P_sAnti, 603, check)
    call createCurrent(P_c, P_cAnti, P_W3, 448, check)
    call createCurrent(P_B0, P_W1, P_Phi2, P_Phi1Anti, 217, check)
    call createCurrent(P_Phi1Anti, P_Phi2, P_W2, 372, check)
    call createCurrent(P_W1, P_Phi1, P_Phi2Anti, P_B0, 108, check)
    call createCurrent(P_Phi2, P_Phi1Anti, P_W2, P_B0, 543, check)
    call createCurrent(P_c, P_B0, P_cAnti, 66, check)
    call createCurrent(P_B0, P_Phi1, P_Phi2Anti, P_W1, 486, check)
    call createCurrent(P_nu_e, P_nu_eAnti, P_B0, 553, check)
    call createCurrent(P_tAnti, P_W1, P_b, 84, check)
    call createCurrent(P_B0, P_Phi2, P_W3, P_Phi2Anti, 581, check)
    call createCurrent(P_Phi2Anti, P_W2, P_Phi1, 449, check)
    call createCurrent(P_c, P_W1, P_sAnti, 107, check)
    call createCurrent(P_Phi1Anti, P_B0, P_Phi1, P_B0, 3, check)
    call createCurrent(P_Phi1Anti, P_B0, P_Phi1, 212, check)
    call createCurrent(P_W1, P_Phi1Anti, P_Phi2, 275, check)
    call createCurrent(P_W3, P_nu_tau, P_nu_tauAnti, 373, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_B0, 284, check)
    call createCurrent(P_muPlus, P_B0, P_muMinus, 431, check)
    call createCurrent(P_Phi1Anti, P_Phi1, P_W3, P_W3, 576, check)
    call createCurrent(P_W2, P_nu_mu, P_muPlus, 315, check)
    call createCurrent(P_tauMinus, P_W3, P_tauPlus, 328, check)
    call createCurrent(P_W3, P_d, P_dAnti, 233, check)
    call createCurrent(P_s, P_W3, P_sAnti, 379, check)
    call createCurrent(P_W1, P_B0, P_Phi1Anti, P_Phi2, 386, check)
    call createCurrent(P_W2, P_tauMinus, P_nu_tauAnti, 593, check)
    call createCurrent(P_b, P_tAnti, P_W2, 360, check)
    call createCurrent(P_W1, P_Phi2, P_Phi2Anti, P_W1, 301, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, P_W3, 554, check)
    call createCurrent(P_B0, P_muPlus, P_muMinus, 433, check)
    call createCurrent(P_dAnti, P_W2, P_u, 112, check)
    call createCurrent(P_uAnti, P_d, P_W2, 309, check)
    call createCurrent(P_Phi1Anti, P_B0, P_Phi2, P_W2, 15, check)
    call createCurrent(P_B0, P_Phi2Anti, P_Phi2, P_B0, 98, check)
    call createCurrent(P_g, P_dAnti, P_d, 296, check)
    call createCurrent(P_dAnti, P_d, P_W3, 253, check)
    call createCurrent(P_tAnti, P_W2, P_b, 150, check)
    call createCurrent(P_W3, P_W1, P_W2, 86, check)
    call createCurrent(P_Phi2Anti, P_Phi1, P_B0, P_W1, 399, check)
    call createCurrent(P_Phi2, P_W1, P_Phi2Anti, P_W1, 67, check)
    call createCurrent(P_W3, P_W3, P_Phi1, P_Phi1Anti, 421, check)
    call createCurrent(P_g, P_bAnti, P_b, 455, check)
    call createCurrent(P_W2, P_W2, P_W1, P_W1, 5, check)
    call createCurrent(P_Phi1, P_W1, P_Phi1Anti, P_W1, 489, check)
    call createCurrent(P_muPlus, P_nu_mu, P_W1, 162, check)
    call createCurrent(P_uAnti, P_B0, P_u, 608, check)
    call createCurrent(P_W2, P_muMinus, P_nu_muAnti, 243, check)
    call createCurrent(P_Phi2Anti, P_Phi2, P_B0, P_W3, 334, check)
    call createCurrent(P_W3, P_W1, P_W1, P_W3, 477, check)
    call createCurrent(P_W2, P_Phi1, P_W2, P_Phi1Anti, 424, check)
    call createCurrent(P_W3, P_Phi1, P_B0, P_Phi1Anti, 390, check)
    call createCurrent(P_tAnti, P_W3, P_t, 368, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_W1, 413, check)
    call createCurrent(P_W2, P_W1, P_W2, P_W1, 323, check)
    call createCurrent(P_cAnti, P_s, P_W1, 402, check)
    call createCurrent(P_Phi2, P_B0, P_Phi2Anti, P_B0, 617, check)
    call createCurrent(P_bAnti, P_b, P_B0, 205, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, P_W3, 519, check)
    call createCurrent(P_Phi2Anti, P_W3, P_Phi2, P_B0, 186, check)
    call createCurrent(P_W2, P_W2, P_Phi1Anti, P_Phi1, 228, check)
    call createCurrent(P_Phi1Anti, P_B0, P_W1, P_Phi2, 116, check)
    call createCurrent(P_W3, P_uAnti, P_u, 491, check)
    call createCurrent(P_Phi1Anti, P_Phi1, P_B0, 487, check)
    call createCurrent(P_B0, P_Phi2, P_W2, P_Phi1Anti, 518, check)
    call createCurrent(P_W3, P_W3, 638, check)
    call createCurrent(P_Phi1Anti, P_Phi2, P_B0, P_W2, 441, check)
    call createCurrent(P_B0, P_Phi2, P_Phi1Anti, P_W1, 600, check)
    call createCurrent(P_Phi1, P_W2, P_W2, P_Phi1Anti, 436, check)
    call createCurrent(P_W2, P_nu_eAnti, P_eMinus, 578, check)
    call createCurrent(P_nu_eAnti, P_nu_e, P_W3, 318, check)
    call createCurrent(P_Phi1Anti, P_W1, P_Phi1, P_W1, 408, check)
    call createCurrent(P_B0, P_eMinus, P_ePlus, 633, check)
    call createCurrent(P_muPlus, P_W1, P_nu_mu, 595, check)
    call createCurrent(P_c, P_sAnti, P_W1, 343, check)
    call createCurrent(P_Phi2, P_W3, P_Phi2Anti, P_B0, 437, check)
    call createCurrent(P_Phi1, P_W2, P_B0, P_Phi2Anti, 258, check)
    call createCurrent(P_W2, P_Phi1Anti, P_Phi2, 512, check)
    call createCurrent(P_Phi2Anti, P_B0, P_B0, P_Phi2, 320, check)
    call createCurrent(P_W2, P_B0, P_Phi1Anti, P_Phi2, 559, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_W2, 498, check)
    call createCurrent(P_bAnti, P_W3, P_b, 607, check)
    call createCurrent(P_tauPlus, P_B0, P_tauMinus, 279, check)
    call createCurrent(P_g, P_s, P_sAnti, 137, check)
    call createCurrent(P_W3, P_Phi2, P_Phi2Anti, P_W3, 495, check)
    call createCurrent(P_b, P_B0, P_bAnti, 321, check)
    call createCurrent(P_nu_mu, P_W1, P_muPlus, 605, check)
    call createCurrent(P_Phi1, P_W2, P_Phi2Anti, 574, check)
    call createCurrent(P_B0, P_W3, P_Phi1Anti, P_Phi1, 128, check)
    call createCurrent(P_Phi2, P_Phi1Anti, P_W2, 580, check)
    call createCurrent(P_tAnti, P_g, P_t, 346, check)
    call createCurrent(P_W3, P_W2, P_W1, 446, check)
    call createCurrent(P_W2, P_W1, P_W1, P_W2, 317, check)
    call createCurrent(P_Phi2Anti, P_W1, P_W1, P_Phi2, 49, check)
    call createCurrent(P_cAnti, P_W1, P_s, 120, check)
    call createCurrent(P_W3, P_c, P_cAnti, 513, check)
    call createCurrent(P_bAnti, P_B0, P_b, 586, check)
    call createCurrent(P_W1, P_ePlus, P_nu_e, 191, check)
    call createCurrent(P_Phi2, P_Phi2Anti, P_B0, 536, check)
    call createCurrent(P_B0, P_bAnti, P_b, 370, check)
    call createCurrent(P_t, P_W3, P_tAnti, 145, check)
    call createCurrent(P_W1, P_Phi2Anti, P_W1, P_Phi2, 64, check)
    call createCurrent(P_W3, P_Phi1Anti, P_B0, P_Phi1, 502, check)
    call createCurrent(P_Phi1Anti, P_Phi1, P_B0, P_B0, 476, check)
    call createCurrent(P_W3, P_Phi1Anti, P_Phi1, P_B0, 458, check)
    call createCurrent(P_W3, P_nu_e, P_nu_eAnti, 342, check)
    call createCurrent(P_Phi1Anti, P_B0, P_W3, P_Phi1, 625, check)
    call createCurrent(P_u, P_W2, P_dAnti, 115, check)
    call createCurrent(P_Phi2, P_W1, P_Phi1Anti, P_B0, 540, check)
    call createCurrent(P_W1, P_Phi2, P_W1, P_Phi2Anti, 293, check)
    call createCurrent(P_W2, P_eMinus, P_nu_eAnti, 221, check)
    call createCurrent(P_u, P_g, P_uAnti, 349, check)
    call createCurrent(P_nu_e, P_W3, P_nu_eAnti, 629, check)
    call createCurrent(P_Phi1, P_B0, P_W3, P_Phi1Anti, 371, check)
    call createCurrent(P_W1, P_s, P_cAnti, 466, check)
    call createCurrent(P_W1, P_W1, P_Phi2Anti, P_Phi2, 542, check)
    call createCurrent(P_Phi1Anti, P_Phi2, P_W1, P_B0, 418, check)
    call createCurrent(P_nu_muAnti, P_W3, P_nu_mu, 515, check)
    call createCurrent(P_eMinus, P_W3, P_ePlus, 634, check)
    call createCurrent(P_W1, P_Phi2, P_Phi1Anti, P_B0, 590, check)
    call createCurrent(P_W1, P_muPlus, P_nu_mu, 566, check)
    call createCurrent(P_Phi1, P_Phi2Anti, P_B0, P_W1, 555, check)
    call createCurrent(P_muMinus, P_W3, P_muPlus, 216, check)
    call createCurrent(P_bAnti, P_t, P_W1, 179, check)
    call createCurrent(P_nu_tau, P_W1, P_tauPlus, 367, check)
    call createCurrent(P_ePlus, P_W2, P_nu_e, 355, check)
    call createCurrent(P_B0, P_b, P_bAnti, 322, check)
    call createCurrent(P_cAnti, P_c, P_B0, 560, check)
    call createCurrent(P_nu_tau, P_W3, P_nu_tauAnti, 171, check)
    call createCurrent(P_muMinus, P_nu_muAnti, P_W1, 568, check)
    call createCurrent(P_nu_e, P_ePlus, P_W1, 102, check)
    call createCurrent(P_d, P_W1, P_uAnti, 245, check)
    call createCurrent(P_b, P_bAnti, P_W3, 345, check)
    call createCurrent(P_W2, P_Phi2Anti, P_Phi1, 305, check)
    call createCurrent(P_W2, P_Phi1Anti, P_W2, P_Phi1, 58, check)
    call createCurrent(P_Phi2Anti, P_B0, P_Phi1, P_W1, 75, check)
  end subroutine fill_current_1
end module currents_info1
