!******************************************************************************!
!                                                                              !
!    fill_couplings.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 0.9                               |            !
!        |       | Generation date: 2020-03-10 10:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings
  implicit none
  contains
  subroutine fill_couplings_mdl()
    use class_couplings, only: couplings_init
    use fill_couplings1, only: fill_couplings_mdl1
    couplings_init = .true.
    call fill_couplings_mdl1
  end subroutine fill_couplings_mdl
  subroutine fill_CTcouplings_mdl()
    use class_couplings, only: ctcouplings_init
    use fill_ctcouplings1
    ctcouplings_init = .true.
    call fill_CTcouplings_mdl1
  end subroutine fill_CTcouplings_mdl
end module fill_couplings
