!******************************************************************************!
!                                                                              !
!    fill_couplings1.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings1.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 0.9                               |            !
!        |       | Generation date: 2020-03-10 10:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_couplings_mdl1()
    coupl(nGC_17) = cima*gs**2d0
    coupl(nGC_16) = cima*gs
    coupl(nGC_15) = -gs
    coupl(nGC_14) = cima*g2**2d0
    coupl(nGC_13) = cima*g2**2d0/2d0
    coupl(nGC_12) = g1*g2
    coupl(nGC_11) = cima*g1*g2
    coupl(nGC_10) = -cima*g1*g2
    coupl(nGC_604) = -2d0*coupl(nGC_17)
    coupl(nGC_610) = 2d0*coupl(nGC_17)
    coupl(nGC_3) = 2d0*cima*g1**2d0
    coupl(nGC_2) = -cima*g1
    coupl(nGC_1) = cima*g1/3d0
    coupl(nGC_7) = cima*g2/2d0
    coupl(nGC_6) = -cima*g2/2d0
    coupl(nGC_5) = -g2/2d0
    coupl(nGC_4) = -g2
    coupl(nGC_608) = -coupl(nGC_17)
    coupl(nGC_9) = -g1*g2
    coupl(nGC_8) = g2/2d0
    coupl(nGC_134) = -coupl(nGC_6)
    coupl(nGC_194) = -2d0*coupl(nGC_14)
    coupl(nGC_546) = -coupl(nGC_2)
    coupl(nGC_38) = 4d0*coupl(nGC_1)
    coupl(nGC_56) = -2d0*coupl(nGC_1)
    coupl(nGC_330) = -coupl(nGC_8)
    coupl(nGC_120) = 2d0*coupl(nGC_2)
    coupl(nGC_26) = -coupl(nGC_7)
    coupl(nGC_280) = -coupl(nGC_4)
  end subroutine fill_couplings_mdl1
end module fill_couplings1
