!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 04/2020                              |            !
!        |       | UFO version: 0.9                               |            !
!        |       | Generation date: 2020-03-10 10:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl1()
    coupl(nGC_1405) = -cima*coupl(nGC_1)**2d0/(16d0*pi**2d0)
    coupl(nGC_1404) = cima*coupl(nGC_16)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(64d0* &
                      pi**2d0*Nc)
    coupl(nGC_1431) = coupl(nGC_1)*(coupl(nGC_5)*coupl(nGC_8) + 2d0*coupl(nGC_7&
                      )**2d0)/(8d0*pi**2d0)
    coupl(nGC_1419) = coupl(nGC_1)*coupl(nGC_16)**2d0*sq2**2d0*(Nc**2d0 - 1d0  &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_1430) = coupl(nGC_1)**2d0*coupl(nGC_5)/(8d0*pi**2d0)
    coupl(nGC_1418) = coupl(nGC_1)**2d0*coupl(nGC_7)/(8d0*pi**2d0)
    coupl(nGC_1433) = coupl(nGC_38)**3d0/(8d0*pi**2d0)
    coupl(nGC_1417) = coupl(nGC_16)**2d0*coupl(nGC_7)*sq2**2d0*(Nc**2d0 - 1d0  &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_1414) = coupl(nGC_1)**2d0*coupl(nGC_6)/(8d0*pi**2d0)
    coupl(nGC_1413) = coupl(nGC_16)**2d0*coupl(nGC_6)*sq2**2d0*(Nc**2d0 - 1d0  &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_1406) = cima*(-coupl(nGC_5)*coupl(nGC_8) - coupl(nGC_6)**2d0 -   &
                      coupl(nGC_7)**2d0)/(16d0*pi**2d0)
    coupl(nGC_1427) = coupl(nGC_1)**2d0*coupl(nGC_8)/(8d0*pi**2d0)
    coupl(nGC_1426) = coupl(nGC_16)**2d0*coupl(nGC_8)*sq2**2d0*(Nc**2d0 - 1d0  &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_1423) = coupl(nGC_56)**3d0/(8d0*pi**2d0)
    coupl(nGC_1422) = coupl(nGC_16)**2d0*coupl(nGC_56)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_1421) = coupl(nGC_1)*(coupl(nGC_5)*coupl(nGC_8) + coupl(nGC_6)** &
                      2d0 + coupl(nGC_7)**2d0)/(8d0*pi**2d0)
    coupl(nGC_1420) = coupl(nGC_1)**3d0/(8d0*pi**2d0)
    coupl(nGC_1409) = -cima*coupl(nGC_38)**2d0/(16d0*pi**2d0)
    coupl(nGC_1408) = cima*(-coupl(nGC_5)*coupl(nGC_8) - 2d0*coupl(nGC_7)**2d0 &
                      )/(16d0*pi**2d0)
    coupl(nGC_1429) = coupl(nGC_16)**2d0*coupl(nGC_5)*sq2**2d0*(Nc**2d0 - 1d0  &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_1407) = -cima*coupl(nGC_56)**2d0/(16d0*pi**2d0)
    coupl(nGC_1428) = (-coupl(nGC_280)*coupl(nGC_7)**2d0 - coupl(nGC_4)*coupl( &
                      nGC_6)*coupl(nGC_7) + coupl(nGC_5)**2d0*coupl(nGC_8) +   &
                      coupl(nGC_5)*coupl(nGC_6)*coupl(nGC_7) + coupl(nGC_7)**  &
                      2d0*coupl(nGC_8))/(8d0*pi**2d0)
    coupl(nGC_1434) = (coupl(nGC_280)*coupl(nGC_5)*coupl(nGC_7) + coupl(nGC_4)*&
                      coupl(nGC_7)*coupl(nGC_8) + coupl(nGC_5)*coupl(nGC_6)*   &
                      coupl(nGC_8) + coupl(nGC_6)*coupl(nGC_7)**2d0 + coupl(   &
                      nGC_7)**3d0)/(8d0*pi**2d0)
    coupl(nGC_1425) = (coupl(nGC_280)*coupl(nGC_7)**2d0 + coupl(nGC_4)*coupl(  &
                      nGC_6)*coupl(nGC_7) + coupl(nGC_5)*coupl(nGC_7)**2d0 +   &
                      coupl(nGC_5)*coupl(nGC_8)**2d0 + coupl(nGC_6)*coupl(nGC_7&
                      )*coupl(nGC_8))/(8d0*pi**2d0)
    coupl(nGC_1424) = (-coupl(nGC_280)*coupl(nGC_5)*coupl(nGC_6) - coupl(nGC_4 &
                      )*coupl(nGC_5)*coupl(nGC_7) + coupl(nGC_5)**2d0*coupl(   &
                      nGC_7) + coupl(nGC_6)*coupl(nGC_7)**2d0 + coupl(nGC_7)** &
                      3d0)/(8d0*pi**2d0)
    coupl(nGC_1432) = coupl(nGC_16)**2d0*coupl(nGC_38)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_1416) = (coupl(nGC_280)*coupl(nGC_6)*coupl(nGC_8) + coupl(nGC_4)*&
                      coupl(nGC_7)*coupl(nGC_8) + coupl(nGC_6)*coupl(nGC_7)**  &
                      2d0 + coupl(nGC_7)**3d0 + coupl(nGC_7)*coupl(nGC_8)**2d0 &
                      )/(8d0*pi**2d0)
    coupl(nGC_1415) = (12d0*Nc*coupl(nGC_5)*coupl(nGC_6)*coupl(nGC_7) - 12d0*Nc&
                      *coupl(nGC_5)*coupl(nGC_7)**2d0 - 12d0*Nc*coupl(nGC_6)*  &
                      coupl(nGC_7)*coupl(nGC_8) + 12d0*Nc*coupl(nGC_7)**2d0*   &
                      coupl(nGC_8) - 11d0*coupl(nGC_280)**3d0 + 12d0*coupl(    &
                      nGC_5)*coupl(nGC_6)*coupl(nGC_7) - 12d0*coupl(nGC_5)*    &
                      coupl(nGC_7)**2d0 - 12d0*coupl(nGC_6)*coupl(nGC_7)*coupl(&
                      nGC_8) + 12d0*coupl(nGC_7)**2d0*coupl(nGC_8))/(96d0*pi** &
                      2d0)
    coupl(nGC_1412) = (coupl(nGC_280)*coupl(nGC_7)*coupl(nGC_8) + coupl(nGC_4)*&
                      coupl(nGC_5)*coupl(nGC_7) + coupl(nGC_5)*coupl(nGC_7)*   &
                      coupl(nGC_8) + coupl(nGC_6)**3d0 + coupl(nGC_7)**3d0)/(  &
                      8d0*pi**2d0)
    coupl(nGC_1410) = cima*(-Nc*coupl(nGC_6)**2d0 - Nc*coupl(nGC_7)**2d0 -     &
                      coupl(nGC_280)*coupl(nGC_4) - coupl(nGC_6)**2d0 - coupl( &
                      nGC_7)**2d0)/(16d0*pi**2d0)
    coupl(nGC_1411) = cima*coupl(nGC_280)*coupl(nGC_4)/(24d0*pi**2d0)
    coupl(nGC_2119) = -coupl(nGC_1415)
  end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
